Join us at the Everyday AI Conference in London, New York & Bengaluru! REGISTER NOW

Upgrade from 9.0.5 to 10.0.3

Krishna615
Level 2
Level 2
Upgrade from 9.0.5 to 10.0.3

Hello,

I am trying to upgrade the existing 9.0.5 to 10.0.3 using the cloning method described in the below link.

https://doc.dataiku.com/dss/latest/installation/custom/upgrade.html

Summary of steps in the above link:

1. Take a backup of data directory

2. Stop the DSS

3. Download 10.0.3

4. Install 10.0.3 using the command:

          dataiku-dss-10.0.3/installer.sh -d /data/dataiku/data_dir -u -y

When I start the DSS I get the below error. ./bin/dss start

             Caused by: javax.validation.NoProviderFoundException: Unable to create a Configuration, because no Jakarta Bean Validation provider could be found. Add a provider like Hibernate Validator (RI) to your classpath.

I have no idea on how to resolve the issue. Can somebody pls help me on this?

Any help is appreciated!

Thank you.


Operating system used: RHEL8.5

0 Kudos
2 Replies
tgb417
Neuron
Neuron

@Krishna615 

You might want to check out this documentation.

https://doc.dataiku.com/dss/latest/installation/custom/initial-install.html#complete-installation-ex...

Often when installing DSS the first time it will not complete.  It will often need you to install updated or new dependencies.  Note this step in the instructions I've linked to.

# Install dependencies with elevated privileges, using the command shown by the previous step
$ sudo -i "/home/dataiku/dataiku-dss-VERSION/scripts/install/install-deps.sh"

There are numerous other ways to run these dependency scripts.  The folks at Dataiku Tech Support are expert on this subject.  It's often a good idea to reach out to them for help in this kind of situration.

I'm not sure that this will solve your problem.  However this has helped me several times in the past.  

I also notice the following section on this documentation page.

Manual dependency installation

You may want to have a system level backup of the system not just the Data directory before proceeding.

Just my two cents.  Good luck with the upgrade.

--Tom
0 Kudos
Krishna615
Level 2
Level 2
Author

Hi,

I did execute the dependency installation command as part of the upgrade and only after which I have posted for a solution here. 

However after using the Hadoop integration Jar that is compatible with DSS-10.0.5 the issue is resolved and now I am able to access the DSS-10.0.3!

Thank you for the suggestion!!